################################################################################
#                                                                              #
# Copyright (C) 2004 Andrea Biardi                                             #
#                                                                              #
# This program is free software; you can redistribute it and/or modify it      #
# under the terms of the GNU General Public License as published by the Free   #
# Software Foundation; either version 2 of the License, or (at your option)    #
# any later version.                                                           #
#                                                                              #
# This program is distributed in the hope that it will be useful, but WITHOUT  #
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or        #
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for     #
# more details.                                                                #
#                                                                              #
################################################################################

dnl ----------------------------------------------------------------------------
dnl
dnl Provide a "--with-examples" option to choose whether to compile sample code.
dnl
dnl Output:
dnl   $with_examples = "yes"|"no" (*)
dnl (*) AC_SUBST'ed.
dnl
dnl ----------------------------------------------------------------------------
AC_DEFUN([LT_AC_WITH_EXAMPLES],[dnl

AC_ARG_WITH(examples,
            AC_HELP_STRING([--with-examples],
                           [compile sample code (yes|no)] [[[yes]]]),
            [],
            with_examples=yes)

AC_MSG_CHECKING(whether to compile sample code)

case x$with_examples in
  x)
    AC_MSG_RESULT(error)
    LT_AC_MSG_ERROR_MISSING_ARG(--with-examples)
    ;;
  xyes|xno)
    AC_MSG_RESULT($with_examples)
    ;;
  *)
    AC_MSG_RESULT(error)
    LT_AC_MSG_ERROR_BAD_ARG(--with-examples)
    ;;
esac

AC_SUBST(with_examples)

])
