################################################################################
#                                                                              #
# Copyright (C) 2003 Andrea Biardi                                             #
#                                                                              #
# This program is free software; you can redistribute it and/or modify it      #
# under the terms of the GNU General Public License as published by the Free   #
# Software Foundation; either version 2 of the License, or (at your option)    #
# any later version.                                                           #
#                                                                              #
# This program is distributed in the hope that it will be useful, but WITHOUT  #
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or        #
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for     #
# more details.                                                                #
#                                                                              #
################################################################################

dnl ----------------------------------------------------------------------------
dnl
dnl Test for a program to strip executables, provided that $enable_debug is not
dnl set to "yes"; when $enable_debug is set to "yes", clear STRIP and do nothing
dnl else.
dnl
dnl Output:
dnl   $STRIP = empty string, or path to strip (*)
dnl (*) AC_SUBST'ed.
dnl
dnl ----------------------------------------------------------------------------
AC_DEFUN([LT_AC_PROG_STRIP],[dnl

AC_MSG_CHECKING(whether we can strip executables)

if test x"$enable_debug" = xyes; then
  STRIP=
  AC_MSG_RESULT(no (we are in debug mode))
else
  LT_AC_FIND_PROG(STRIP,strip)
  if test x"$STRIP" = x; then
    AC_MSG_RESULT(no)
  else
    case $host in
      *-*-darwin*)
        STRIP="$STRIP -x"
        ;;
      *-*-mingw32)
        if test x"$lt_ac_compiler" = xgnu; then
          STRIP="$STRIP -p -s"
        else
          STRIP=
        fi
        ;;
      *)
        STRIP="$STRIP -p -s"
        ;;
    esac
    if test x"$STRIP" = x; then
      AC_MSG_RESULT(no (not advisable))
    else
      LT_AC_MSG_RESULT_USING(yes,$STRIP)
    fi
  fi
fi

AC_SUBST(STRIP)

])

dnl ----------------------------------------------------------------------------
dnl
dnl Test for a working xargs that accepts "-r" and "-t"; if nothing is found,
dnl point $XARGS to the script in the admin directory.
dnl
dnl Output:
dnl   $XARGS = path to xargs (*)
dnl (*) AC_SUBST'ed.
dnl
dnl ----------------------------------------------------------------------------
AC_DEFUN([LT_AC_PROG_XARGS],[dnl

AC_MSG_CHECKING(for xargs)

LT_AC_FIND_PROG(XARGS,xargs)
if test x"$XARGS" = x; then
  LT_AC_MSG_RESULT_USING(not found,admin/xargs-sh)
  AC_SUBST(XARGS,admin/xargs-sh)
else
  if : | $XARGS -r -t > /dev/null 2>&1; then
    AC_MSG_RESULT($XARGS)
    AC_SUBST(XARGS,$XARGS)
  else
    LT_AC_MSG_RESULT_USING(half-working,admin/xargs-sh)
    AC_SUBST(XARGS,admin/xargs-sh)
  fi
fi

])
