################################################################################
#                                                                              #
# Copyright (C) 2003 Andrea Biardi                                             #
#                                                                              #
# This program is free software; you can redistribute it and/or modify it      #
# under the terms of the GNU General Public License as published by the Free   #
# Software Foundation; either version 2 of the License, or (at your option)    #
# any later version.                                                           #
#                                                                              #
# This program is distributed in the hope that it will be useful, but WITHOUT  #
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or        #
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for     #
# more details.                                                                #
#                                                                              #
################################################################################

dnl ----------------------------------------------------------------------------
dnl
dnl Provide a "--enable-shared" option to choose between static and shared
dnl library builds, the former being the default.
dnl
dnl Output:
dnl   $enable_shared = "yes"|"no" (*)
dnl (*) AC_SUBST'ed.
dnl
dnl ----------------------------------------------------------------------------
AC_DEFUN([LT_AC_ENABLE_SHARED],[dnl

AC_ARG_ENABLE(shared,
              AC_HELP_STRING([--enable-shared],
                             [create shared instead of static libraries] [[[no]]]),
              [],
              enable_shared=no)

AC_MSG_CHECKING(which libraries to build)

case x$enable_shared in
  x)
    AC_MSG_RESULT(error)
    LT_AC_MSG_ERROR_MISSING_ARG(--enable-shared)
    ;;
  xyes)
    AC_MSG_RESULT(shared)
    ;;
  xno)
    AC_MSG_RESULT(static)
    ;;
  *)
    AC_MSG_RESULT(error)
    LT_AC_MSG_ERROR_BAD_ARG(--enable-shared)
    ;;
esac

AC_SUBST(enable_shared)

])
