################################################################################
#                                                                              #
# Copyright (C) 2003 Andrea Biardi                                             #
#                                                                              #
# This program is free software; you can redistribute it and/or modify it      #
# under the terms of the GNU General Public License as published by the Free   #
# Software Foundation; either version 2 of the License, or (at your option)    #
# any later version.                                                           #
#                                                                              #
# This program is distributed in the hope that it will be useful, but WITHOUT  #
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or        #
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for     #
# more details.                                                                #
#                                                                              #
################################################################################

dnl ----------------------------------------------------------------------------
dnl
dnl Configuration summary head.
dnl
dnl ----------------------------------------------------------------------------
AC_DEFUN([LT_AC_SUMMARY_HEAD],[dnl
cat << EOF

Configuration summary for $PACKAGE_NAME $PACKAGE_VERSION
********************************************************************************
EOF
])

dnl ----------------------------------------------------------------------------
dnl
dnl Configuration summary foot; also, remind the user about hints and warnings
dnl that he/she may have missed during the process.
dnl
dnl Input:
dnl   $lt_ac_has_hints = "yes"|"no" (anything other than "no" means "yes")
dnl   $lt_ac_has_warns = "yes"|"no" (anything other than "no" means "yes")
dnl
dnl ----------------------------------------------------------------------------
AC_DEFUN([LT_AC_SUMMARY_FOOT],[dnl
cat << EOF

********************************************************************************

You can start "make" now, followed by "make install".

"make clean" won't remove any information collected so far; if you ever want to
reconfigure this package from scratch, run "make clobber" and then run
"configure" again.

EOF

if test x"$lt_ac_has_warns" = xno; then
  if test x"$lt_ac_has_hints" = xno; then
    :
  else
    echo "Please note that your configuration resulted in one or more hints."
    echo "You should review your it before compiling."
    echo
  fi
else
  echo "Please note that your configuration resulted in one or more warnings."
  echo "You should review your it before compiling."
  echo
fi])

dnl ----------------------------------------------------------------------------
dnl
dnl Configuration summary item.
dnl
dnl Input:
dnl   $1 = item name (must be literal)
dnl   $2 = value
dnl
dnl ----------------------------------------------------------------------------
AC_DEFUN([LT_AC_SUMMARY_ITEM],[dnl
echo "  LT_AC_STR_PAD(25,[$1],.) $2"])

dnl ----------------------------------------------------------------------------
dnl
dnl Configuration summary item, with value comparison. If $2 equals $3, $4 is
dnl printed; otherwise, $5 is printed, if not empty.
dnl
dnl Input:
dnl   $1 = item name (must be literal)
dnl   $2 = value to check
dnl   $3 = first match
dnl   $4 = value if matched
dnl   $5 = value if not matched (optional)
dnl
dnl ----------------------------------------------------------------------------
AC_DEFUN([LT_AC_SUMMARY_CASE],[dnl
if test x"$2" = x"$3"; then
  LT_AC_SUMMARY_ITEM([$1],[$4])
elif test x"$5" = x; then
  :
else
  LT_AC_SUMMARY_ITEM([$1],[$5])
fi])

dnl ----------------------------------------------------------------------------
dnl
dnl Configuration summary group.
dnl
dnl Input:
dnl   $1 = group name
dnl
dnl ----------------------------------------------------------------------------
AC_DEFUN([LT_AC_SUMMARY_GROUP],[dnl
echo
echo "$1:"])
