/*******************************************************************************

Copyright (C) 2003 Andrea Biardi - LOGICOMM

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

*******************************************************************************/

#include <iostream>
#include <libinterbasexx/libinterbasexx.h>

int main() {

  int result = 0;

  try {

    // attach to database

    IB::Database db("localhost:/opt/interbase/examples/employee.gdb","SYSDBA","masterkey");

    std::cout << std::endl;
    std::cout << "attaching to " << db.database() << " as " << db.username() << std::endl;

    db.attach();

    // retrieve and display some information

    IB::DatabaseInfo dbinfo(db);

    std::cout << std::endl;
    std::cout << "host:         " << dbinfo.host() << std::endl;
    std::cout << "database:     " << dbinfo.name() << std::endl;
    std::cout << "description:  ";
    for (unsigned int i = 0; i < dbinfo.desc().size(); ++i) {
      if (i) std::cout << "              ";
      std::cout << dbinfo.desc()[i] << std::endl;
    }
    std::cout << "version:      " << dbinfo.version() << std::endl;
    std::cout << "dialect:      " << dbinfo.dialect() << std::endl;
    std::cout << "size (KB):    " << (dbinfo.pageSize()*dbinfo.pages())/1024 << std::endl;
    std::cout << "online users: ";
    for (unsigned int i = 0; i < dbinfo.users().size(); ++i) {
      if (i) std::cout << "              ";
      std::cout << dbinfo.users()[i] << std::endl;
    }

    // no need to detach from database, since that's done automatically

  }
  catch (const IB::Exception& e) {
    std::cerr << e.msg() << std::endl;
    result = 1;
  }

  return result;

}
