/* libinterbasexx/config-sample.h.  Sample configuration file -- customize as needed.  */
/* libinterbasexx/config.h.in.  Generated from admin/configure.ac by autoheader.  */

/* Define if you have the Interbase/Firebird library. */
#define HAVE_INTERBASE 

/* This should reflect the correct data alignment for your machine; should be
   4 for 32-bit machines. */
#define IBXX_DATA_ALIGNMENT 4

/* Define in order to compile debug code. */
/* #undef IBXX_DEBUG */

/* There's full support for both dialect 1 and dialect 3; choose the one you
   would like to use by default. */
#define IBXX_DEFAULT_DIALECT 3

/* You can choose between two flavors of error messages; normally, classic
   Interbase-style error messages give more information, but you can define
   the following symbol to toggle this behavior. */
/* #undef IBXX_ERROR_MSGS_SQL */

/* Define if ctime() is in the global namespace. */
/* #undef IBXX_GLOBAL_CTIME */

/* Define if localtime() is in the global namespace. */
/* #undef IBXX_GLOBAL_LOCALTIME */

/* Define if mktime() is in the global namespace. */
/* #undef IBXX_GLOBAL_MKTIME */

/* Define if snprintf() is in the global namespace. */
/* #undef IBXX_GLOBAL_SNPRINTF */

/* Define if strchr() is in the global namespace. */
/* #undef IBXX_GLOBAL_STRCHR */

/* Define if strrchr() is in the global namespace. */
/* #undef IBXX_GLOBAL_STRRCHR */

/* Define if your system supports long long. */
#define IBXX_HAVE_LONG_LONG 

/* Define to a 64-bit signed integer type. */
#define IBXX_INT64 long long

/* Define if you need the __declspec() stuff to build a DLL for MS Windows. */
/* #undef IBXX_NEED_DECLSPEC */

/* Define to the one-character path delimiter for your platform; should be '/'
   for unix and '\\' for MS Windows. */
#define IBXX_PATH_DELIM '/'

/* Define to the one-character path separator for your platform; should be ':'
   for unix and ';' for MS Windows. */
#define IBXX_PATH_SEP ':'

/* Define to the address where bug reports for this package should be sent. */
#define IBXX_PACKAGE_BUGREPORT "a.biardi@tiscali.it"

/* Define to the full name of this package. */
#define IBXX_PACKAGE_NAME "libinterbase++"

/* Define to the full name and version of this package. */
#define IBXX_PACKAGE_STRING "libinterbase++ 0.0.205"

/* Define to the one symbol short name of this package. */
#define IBXX_PACKAGE_TARNAME "libinterbasexx"

/* Define to the timestamp of this release. */
#define IBXX_PACKAGE_TIMESTAMP "Fri Sep  9 09:24:36 UTC 2005"

/* Define to the version of this package. */
#define IBXX_PACKAGE_VERSION "0.0.205"

/* Build number. */
#define IBXX_PACKAGE_VER_BUILD 205

/* Major version. */
#define IBXX_PACKAGE_VER_MAJOR 0

/* Minor version. */
#define IBXX_PACKAGE_VER_MINOR 0

/* Define to empty if `const' does not conform to ANSI C. */
/* #undef const */

/* Define to `__inline__' or `__inline' if that's what the C compiler
   calls it, or to nothing if 'inline' is not supported under any name.  */
#ifndef __cplusplus
/* #undef inline */
#endif

/* Debug directives. */
#ifdef IBXX_DEBUG
#define IBXX_ASSERT(c) assert(c)
#else
#define IBXX_ASSERT(c)
#endif

/* Round up a given size according to CXXBITS_DATA_ALIGNMENT. */
#define IBXX_ALIGN_SIZE(n) ((n+IBXX_DATA_ALIGNMENT-1) & ~(IBXX_DATA_ALIGNMENT-1))

/* Bring additional symbols into namespace std (cstdio). */

#ifdef IBXX_GLOBAL_SNPRINTF
#include <cstdio>
#include <stdio.h>
namespace std { using ::snprintf; }
#endif

/* Bring additional symbols into namespace std (cstring). */

#ifdef IBXX_GLOBAL_STRCHR
#include <cstring>
#include <string.h>
namespace std { using ::strchr; }
#endif

#ifdef IBXX_GLOBAL_STRRCHR
#include <cstring>
#include <string.h>
namespace std { using ::strrchr; }
#endif

/* Bring additional symbols into namespace std (ctime). */

#ifdef IBXX_GLOBAL_CTIME
#include <ctime>
#include <time.h>
namespace std { using ::ctime; }
#endif

#ifdef IBXX_GLOBAL_LOCALTIME
#include <ctime>
#include <time.h>
namespace std { using ::localtime; }
#endif

#ifdef IBXX_GLOBAL_MKTIME
#include <ctime>
#include <time.h>
namespace std { using ::mktime; }
#endif

/* __declspec() stuff for MS Windows DLLs. */
#ifdef IBXX_NEED_DECLSPEC
  #ifdef IBXX_DLL
    #define IBXX_EXPORT __declspec(dllexport)
  #else
    #define IBXX_EXPORT __declspec(dllimport)
  #endif
#else
  #define IBXX_EXPORT
#endif
