/*******************************************************************************

Copyright (C) 2003 Andrea Biardi - LOGICOMM

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

*******************************************************************************/

#ifndef __IBXX_GENERATOR_H__
#define __IBXX_GENERATOR_H__

/*******************************************************************************

Simple function used to access generator values; to change them, use the "set
generator" SQL statement.

Negative and null increments are ok, but then you should know what you're
doing..

*******************************************************************************/

#include <libinterbasexx/config.h>
#include <libinterbasexx/cxxbits/format.h>
#include <libinterbasexx/database.h>
#include <libinterbasexx/query.h>
#include <libinterbasexx/transaction.h>
#include <string>
#include <ibase.h>

namespace IB {

inline IBXX_INT64 gen_id(const Database& database, const Transaction& transaction, const std::string& name, int increment = 1) {

  // a simple job: the trick here is to be sure to select just one row; also, we
  // can get by without input parameters
  //
  // please note that in dialect 1 generators are 32-bit integers, but in
  // dialect 3 they're 64-bit integers (both are signed)

  Query q(database,transaction,format("select gen_id(%1$s,%2$d) from RDB$GENERATORS where RDB$GENERATOR_NAME='%1$s'",name,increment));
  q.open();
  q.fetch();

  return q.out()[0].n<IBXX_INT64>();

}

} // namespace IB

#endif // __IBXX_GENERATOR_H__
