/*******************************************************************************

Copyright (C) 2003 Andrea Biardi - LOGICOMM

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

*******************************************************************************/

#include <libinterbasexx/cxxbits/format.h>
#include <libinterbasexx/error.h>
#include <libinterbasexx/parameterblock.h>

namespace IB {

void ParameterBlock::needCapacity(int value) {

  // do nothing if requested capacity is already there

  if (value > capacity()) {

    // check for too-large condition

    if (value > SHRT_MAX) throw EInterbase(format("Parameter block too large (requested size = %d, max size = %d)",value,SHRT_MAX));

    // always resize to twice as much as requested (worst case: 50% wasted
    // memory)

    fbuffer.resize(std::min(IBXX_ALIGN_SIZE(value*2),SHRT_MAX));

  }

}

} // namespace IB
