/*******************************************************************************

Copyright (C) 2003 Andrea Biardi - LOGICOMM

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

*******************************************************************************/

#include <libinterbasexx/sqloutvar.h>

namespace IB {

std::string SqlOutVar::desc() const {

  std::string result = alias();
  std::string s = name();
  if (s != result) result += " (alias of "+s+')';

  return result.empty() ? std::string("unknown column") : result;

}

std::string SqlOutVar::name() const {

  // get and return the column name

  std::string result;
  return result.assign(fvar->sqlname,fvar->sqlname_length);

}

std::string SqlOutVar::alias() const {

  // get and return the column alias

  // the "alias" is the name you specify with the "as" keyword in a "select" SQL
  // statement: "select column as alias from ..."

  std::string result;
  return result.assign(fvar->aliasname,fvar->aliasname_length);

}

std::string SqlOutVar::table() const {

  // get and return the table name

  std::string result;
  return result.assign(fvar->relname,fvar->relname_length);

}

std::string SqlOutVar::owner() const {

  // get and return the owner (user) name

  std::string result;
  return result.assign(fvar->ownname,fvar->ownname_length);

}

} // namespace IB
